## org.eclipse.jst.pagedesigner.dtmanager
Interface IDTInfo

All Known Implementing Classes:
  DefaultDTInfo

    public interface IDTInfo

Encapsulates design-time (DT) information.

Provisional API - subject to change

Method Summary
`TagConvertInfo` `getTagConvertInfo()` Gets the encapsulated TagConvertInfo instance.
`TagDecorateInfo` `getTagDecorateInfo(java.lang.String id)` Gets an encapsulated TagDecorateInfo instance matching specified ID.
`java.util.List` `getTagDecorateInfos()` Gets the collection of encapsulated TagDecorateInfo instances.
`Trait` `getTrait()` Gets the Trait instance that was queried to load the metadata.

Method Detail

### getTagConvertInfo

    TagConvertInfo getTagConvertInfo()

  Gets the encapsulated TagConvertInfo instance.

  Returns:
    TagConvertInfo instance.

### getTagDecorateInfos

    java.util.List getTagDecorateInfos()

  Gets the collection of encapsulated TagDecorateInfo instances.

  Returns:
    Collection of TagDecorateInfo instances.

### getTagDecorateInfo

    TagDecorateInfo getTagDecorateInfo(java.lang.String id)

  Gets an encapsulated TagDecorateInfo instance matching specified ID.

  Parameters:
    `id` - ID of desired TagDecorateInfo instance.
  Returns:
    TagDecorateInfo instance matching specified ID.

### getTrait

    Trait getTrait()

  Gets the Trait instance that was queried to load the metadata.

  Returns:
    Trait instance that was queried to load the metadata.